Skip to main content
PUT
/
v1
/
networks
/
policies
/
furnishing
/
{policy_id}
/
configuration
Save pipeline step selection onto an existing furnishing policy.
curl --request PUT \
  --url https://api.example.com/v1/networks/policies/furnishing/{policy_id}/configuration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled_step_names": [
    "<string>"
  ],
  "name": "<string>",
  "active_on": "2023-11-07T05:31:56Z",
  "deprecated_on": "2023-11-07T05:31:56Z",
  "step_model_defaults": {},
  "step_field_configuration": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "step_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policy_id
string<uuid>
required

Body

application/json

Body of PUT /networks/policies/furnishing/{policy_id}/configuration.

enabled_step_names
string[]
required
name
string | null
active_on
string<date-time> | null
deprecated_on
string<date-time> | null
step_model_defaults
Step Model Defaults · object
step_field_configuration
Step Field Configuration · object

Response

Successful Response

id
string<uuid>
required
name
string
required
step_count
integer
required